VMS build.info: uppercase args to perl modules must be quoted
authorRichard Levitte <levitte@openssl.org>
Sun, 17 Dec 2017 08:47:04 +0000 (09:47 +0100)
committerRichard Levitte <levitte@openssl.org>
Mon, 18 Dec 2017 06:49:53 +0000 (07:49 +0100)
This is because VMS perl will otherwise lowercase them

Reviewed-by: Rich Salz <rsalz@openssl.org>
(Merged from https://github.com/openssl/openssl/pull/4946)

build.info

index 27b295e..13ca90d 100644 (file)
@@ -54,9 +54,9 @@ IF[{- $config{target} =~ /^VC-/ -}]
   SHARED_SOURCE[libcrypto]=libcrypto.def
   SHARED_SOURCE[libssl]=libssl.def
 ELSIF[{- $config{target} =~ /^vms/ -}]
-  GENERATE[libcrypto.opt]=util/mkdef.pl crypto VMS
+  GENERATE[libcrypto.opt]=util/mkdef.pl crypto "VMS"
   DEPEND[libcrypto.opt]=util/libcrypto.num
-  GENERATE[libssl.opt]=util/mkdef.pl ssl VMS
+  GENERATE[libssl.opt]=util/mkdef.pl ssl "VMS"
   DEPEND[libssl.opt]=util/libssl.num
 
   SHARED_SOURCE[libcrypto]=libcrypto.opt